LibreOffice LibreOffice 5.3 SDK API Reference

List of all members
HatchWindowFactory Service Reference

`import"HatchWindowFactory.idl";`

Inheritance diagram for HatchWindowFactory:

## Additional Inherited Members
Public Member Functions inherited from XHatchWindowFactory
::com::sun::star::embed::XHatchWindow | createHatchWindowInstance ([in] com::sun::star::awt::XWindowPeer xParent, [in] com::sun::star::awt::Rectangle aBounds, [in] com::sun::star::awt::Size aSize) raises ( ::com::sun::star::lang::IllegalArgumentException )
| creates a new hatch window instance. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Since
  LibreOffice 4.1

The documentation for this service was generated from the following file:

- com/sun/star/embed/HatchWindowFactory.idl